Package org.apache.commons.lang3.math

## Class IEEE754rUtils

- java.lang.Object
- - org.apache.commons.lang3.math.IEEE754rUtils

    public class IEEE754rUtils
    extends java.lang.Object

Provides IEEE-754r variants of NumberUtils methods.

See: http://en.wikipedia.org/wiki/IEEE_754r

Since:
  2.4

### Constructor Summary

Constructors
`IEEE754rUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static double` `max​(double... array)` Returns the maximum value in an array.
`static double` `max​(double a, double b)` Gets the maximum of two `double` values.
`static double` `max​(double a, double b, double c)` Gets the maximum of three `double` values.
`static float` `max​(float... array)` Returns the maximum value in an array.
`static float` `max​(float a, float b)` Gets the maximum of two `float` values.
`static float` `max​(float a, float b, float c)` Gets the maximum of three `float` values.
`static double` `min​(double... array)` Returns the minimum value in an array.
`static double` `min​(double a, double b)` Gets the minimum of two `double` values.
`static double` `min​(double a, double b, double c)` Gets the minimum of three `double` values.
`static float` `min​(float... array)` Returns the minimum value in an array.
`static float` `min​(float a, float b)` Gets the minimum of two `float` values.
`static float` `min​(float a, float b, float c)` Gets the minimum of three `float` values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IEEE754rUtils

    public IEEE754rUtils()

### Method Detail

#### min

    public static double min​(double... array)

Returns the minimum value in an array.

Parameters:
  `array` - an array, must not be null or empty
Returns:
  the minimum value in the array
Throws:
  `java.lang.NullPointerException` - if `array` is `null`
  `java.lang.IllegalArgumentException` - if `array` is empty
Since:
  3.4 Changed signature from min(double[]) to min(double...)

#### min

    public static float min​(float... array)

Returns the minimum value in an array.

Parameters:
  `array` - an array, must not be null or empty
Returns:
  the minimum value in the array
Throws:
  `java.lang.NullPointerException` - if `array` is `null`
  `java.lang.IllegalArgumentException` - if `array` is empty
Since:
  3.4 Changed signature from min(float[]) to min(float...)

#### min

    public static double min​(double a,
                             double b,
                             double c)

Gets the minimum of three `double` values.

NaN is only returned if all numbers are NaN as per IEEE-754r.

Parameters:
  `a` - value 1
  `b` - value 2
  `c` - value 3
Returns:
  the smallest of the values

#### min

    public static double min​(double a,
                             double b)

Gets the minimum of two `double` values.

NaN is only returned if all numbers are NaN as per IEEE-754r.

Parameters:
  `a` - value 1
  `b` - value 2
Returns:
  the smallest of the values

#### min

    public static float min​(float a,
                            float b,
                            float c)

Gets the minimum of three `float` values.

NaN is only returned if all numbers are NaN as per IEEE-754r.

Parameters:
  `a` - value 1
  `b` - value 2
  `c` - value 3
Returns:
  the smallest of the values

#### min

    public static float min​(float a,
                            float b)

Gets the minimum of two `float` values.

NaN is only returned if all numbers are NaN as per IEEE-754r.

Parameters:
  `a` - value 1
  `b` - value 2
Returns:
  the smallest of the values

#### max

    public static double max​(double... array)

Returns the maximum value in an array.

Parameters:
  `array` - an array, must not be null or empty
Returns:
  the minimum value in the array
Throws:
  `java.lang.NullPointerException` - if `array` is `null`
  `java.lang.IllegalArgumentException` - if `array` is empty
Since:
  3.4 Changed signature from max(double[]) to max(double...)

#### max

    public static float max​(float... array)

Returns the maximum value in an array.

Parameters:
  `array` - an array, must not be null or empty
Returns:
  the minimum value in the array
Throws:
  `java.lang.NullPointerException` - if `array` is `null`
  `java.lang.IllegalArgumentException` - if `array` is empty
Since:
  3.4 Changed signature from max(float[]) to max(float...)

#### max

    public static double max​(double a,
                             double b,
                             double c)

Gets the maximum of three `double` values.

NaN is only returned if all numbers are NaN as per IEEE-754r.

Parameters:
  `a` - value 1
  `b` - value 2
  `c` - value 3
Returns:
  the largest of the values

#### max

    public static double max​(double a,
                             double b)

Gets the maximum of two `double` values.

NaN is only returned if all numbers are NaN as per IEEE-754r.

Parameters:
  `a` - value 1
  `b` - value 2
Returns:
  the largest of the values

#### max

    public static float max​(float a,
                            float b,
                            float c)

Gets the maximum of three `float` values.

NaN is only returned if all numbers are NaN as per IEEE-754r.

Parameters:
  `a` - value 1
  `b` - value 2
  `c` - value 3
Returns:
  the largest of the values

#### max

    public static float max​(float a,
                            float b)

Gets the maximum of two `float` values.

NaN is only returned if all numbers are NaN as per IEEE-754r.

Parameters:
  `a` - value 1
  `b` - value 2
Returns:
  the largest of the values